package listmodel;

import java.util.Collections;
import java.util.Comparator;
import java.util.Vector;

import javax.swing.AbstractListModel;

public class PersonListModel extends AbstractListModel {

    Vector<Person> persons;

    public PersonListModel(Vector<Person> persons) {
	this.persons = persons;
    }

    public void sortByName() {
	Collections.sort(persons);
	fireContentsChanged(this, 0, getSize() - 1);
    }

    public void sortByYear() {
	Collections.sort(persons, new Comparator<Person>() {
	    @Override
	    public int compare(Person arg0, Person arg1) {
		return arg0.byear - arg1.byear;
	    }
	});
	fireContentsChanged(this, 0, getSize() - 1);
    }

    @Override
    public Object getElementAt(int arg0) {
	return persons.get(arg0);
    }

    @Override
    public int getSize() {
	return persons.size();
    }

}
